org.apache.poi.xdgf.xml

## Class XDGFXMLDocumentPart

- java.lang.Object
- - org.apache.poi.ooxml.POIXMLDocumentPart
  - - org.apache.poi.xdgf.xml.XDGFXMLDocumentPart

- Direct Known Subclasses:
    XDGFBaseContents, XDGFMasters, XDGFPages

      public class XDGFXMLDocumentPart
      extends POIXMLDocumentPart

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.ooxml.POIXMLDocumentPart

      `POIXMLDocumentPart.RelationPart`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected XDGFDocument` | `_document`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XDGFXMLDocumentPart(PackagePart part)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setDocument(XDGFDocument document)`

    - ### Methods inherited from class org.apache.poi.ooxml.POIXMLDocumentPart

      `_invokeOnDocumentRead, addRelation, commit, createRelationship, createRelationship, createRelationship, getNextPartNumber, getPackagePart, getParent, getRelationById, getRelationId, getRelationPartById, getRelationParts, getRelations, getTargetPart, isCommited, isCommitted, onDocumentCreate, onDocumentRead, onDocumentRemove, onSave, prepareForCommit, read, rebase, removeRelation, removeRelation, removeRelation, setCommited, setCommitted, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _document

          protected XDGFDocument _document

  - ### Constructor Detail

    - #### XDGFXMLDocumentPart

          public XDGFXMLDocumentPart(PackagePart part)

      Since:
        POI 3.14-Beta1

  - ### Method Detail

    - #### setDocument

          @Internal
          public void setDocument(XDGFDocument document)

      Since:
        POI 4.1.2

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.